Meet Resilio Sync 2.5


RomanZ

Recommended Posts

Dear community,

We are happy to introduce you Resilio Sync 2.5! See renewed UI, File Send feature and many other things! 2.5 is available via direct download links below, or via official download page. This version has not yet been published via auto-update.

UPGRADING FROM BITTORRENT SYNC
Sync is now released under the Resilio brand, it is treated by OS as new application and will propose you to migrate all your settings from old BitTorrent Sync app (settings are backed up during migration).
Please carefully read these articles about updating to Resilio Sync and migration of settings.


DOWNGRADE
Resilio Sync will make a backup copy of all your settings prior migration into "sync-v2.3.7-1471003319.backup"-like folder (version and timestamp may vary). If you decide to return to 2.3.*, you'll need to manually copy the content to your storage folder, remove Resilio Sync and be aware of next downgrade drawbacks:

  1. You'll downgrade to "Free" version and you'll have to re-apply license manually. File association with license files *.btskey is broken so you'll need to apply license in BTSync UI
  2. Linking new devices to downgraded Sync is not possible. You'll need to recreate identity if you want to link some new device.
  3. Downgrade is not supported for Selective Sync folders (as all placeholder files are renamed to *.rsl*). If you downgrade and your Sync has Selective Sync folders, your files are going to be deleted on all peers.


Direct Download Links:

A list of what's new, improved, changed, and fixed in this version is available in the change log.

 

Link to post
Share on other sites
1 hour ago, Miyo said:

Is there a specific reason for this?

Don't worry - 2.5 will come to auto-update in due course.

New builds are always announced here on the forums in the first instance and initially only available for manual install/update.

The main reason auto-update isn't usually enabled at the same time as a new build is announced here, is to allow the team to capture any significant issues from the sub-set of users who manually update, that perhaps weren't picked up in testing/QA phase, before pushing a new version out to everyone.

Typically it can be anywhere from a few days to a few weeks before auto-update is enabled.

Link to post
Share on other sites

Question:

14 hours ago, kingloui4556 said:

How can I update to the lasted version via apt-get? apt-get update && apt-get install --only-upgrade resilio-sync says 2.4.5 is the latest version

Answer: (was posted before the question though)

On 12.5.2017 at 10:41 AM, GreatMarko said:

Don't worry - 2.5 will come to auto-update in due course.

New builds are always announced here on the forums in the first instance and initially only available for manual install/update.

The main reason auto-update isn't usually enabled at the same time as a new build is announced here, is to allow the team to capture any significant issues from the sub-set of users who manually update, that perhaps weren't picked up in testing/QA phase, before pushing a new version out to everyone.

Typically it can be anywhere from a few days to a few weeks before auto-update is enabled.

Just registered to say: reading is the answer ;) Regards

Link to post
Share on other sites
  • RomanZ unpinned this topic

I always use the "Linux ARM" package.

Zyxel NSA 310:

cat /proc/cpuinfo
------------------------
Processor       : Feroceon 88FR131 rev 1 (v5l)
BogoMIPS        : 1199.30
Features        : swp half thumb fastmult edsp
CPU implementer : 0x56
CPU architecture: 5TE
CPU variant     : 0x2
CPU part        : 0x131
CPU revision    : 1

Hardware        : Feroceon-KW
Revision        : 0000
Serial          : 0000000000000000


lscpu
------------------------
Architecture:          armv5tel
Byte Order:            Little Endian
CPU(s):                1
On-line CPU(s) list:   0


 

 

linux-arm-package.jpg

Link to post
Share on other sites
  • 1 month later...

I have the same problem with the  bielen2k.

2.4.5 works fine on my router ,but 2.5.0-2.5.4 returns the same message.

A newer kernel is required to run this binary. (__kernel_cmpxchg64 helper)
Aborted

My cpuinfo ,it`s a Broadcom BCM4709C0 same as ASUS RT-AC88U.

Processor	: ARMv7 Processor rev 0 (v7l)
processor	: 0
BogoMIPS	: 2798.38

processor	: 1
BogoMIPS	: 2798.38

Features	: swp half thumb fastmult edsp 
CPU implementer	: 0x41
CPU architecture: 7
CPU variant	: 0x3
CPU part	: 0xc09
CPU revision	: 0

Hardware	: Northstar Prototype
Revision	: 0000
Serial		: 0000000000000000

 

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.